Crashpad

Public Attributes | List of all members
MINIDUMP_UNLOADED_MODULE Struct Reference

Information about a specific module that was recorded as being unloaded at the time the snapshot was taken. More...

`#include "dbghelp.h"`

## Public Attributes
uint64_t | BaseOfImage
| The base address where the module was loaded in the address space of the process that the minidump file contains a snapshot of.
uint32_t | SizeOfImage
| The size of the unloaded module.
uint32_t | CheckSum
| The module’s checksum, or `0` if unknown. More...
uint32_t | TimeDateStamp
| The module’s timestamp, in `time_t` units, seconds since the POSIX epoch. More...
RVA | ModuleNameRva
| RVA of a MINIDUMP_STRING containing the module’s path or file name.

## Detailed Description

Information about a specific module that was recorded as being unloaded at the time the snapshot was taken.

An unloaded module may be a shared library or a loadable module.

See also
  MINIDUMP_UNLOADED_MODULE_LIST

## Member Data Documentation

## ◆ CheckSum

uint32_t MINIDUMP_UNLOADED_MODULE::CheckSum

The module’s checksum, or `0` if unknown.

On Windows, this field comes from the `CheckSum` field of the module’s `IMAGE_OPTIONAL_HEADER` structure, if present. It reflects the checksum at the time the module was linked.

## ◆ TimeDateStamp

uint32_t MINIDUMP_UNLOADED_MODULE::TimeDateStamp

The module’s timestamp, in `time_t` units, seconds since the POSIX epoch.

On Windows, this field comes from the `TimeDateStamp` field of the module’s `IMAGE_HEADER` structure. It reflects the timestamp at the time the module was linked.

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h